
# Configuração de SEO no Drupal

**Referências:**
- [https://www.drupal.org/node/1158446](https://www.drupal.org/node/1158446)  
- [https://www.specbee.com/blogs/configuring-drupal-9-metatag-module](https://www.specbee.com/blogs/configuring-drupal-9-metatag-module)  
- [https://www.webwash.net/getting-started-with-metatag-module-in-drupal/](https://www.webwash.net/getting-started-with-metatag-module-in-drupal/)

## O que é SEO?

- SEO (Search Engine Optimization) é um processo que ajuda a aumentar a **visibilidade do seu site no Google** e em outros motores de busca, com base nos **metadados configurados no site**.

---

## Módulos de SEO no Drupal

- Verificar os diversos **módulos de Metatag** disponíveis.
- O módulo **"Título da Página" (Title Page)** está **obsoleto**, portanto **não foi utilizado**.
- Em substituição, foi utilizado o módulo **Menu Link Attributes** (`menu_link_attributes`).

- O módulo **Google Analytics** também está obsoleto, por isso **não foi baixado**.

- Verifique a utilidade do módulo **Domain**:
  - [https://www.drupal.org/project/domain](https://www.drupal.org/project/domain)

- O **módulo de título para taxonomia** não possui planos de atualização para **Drupal 8 e 9**.

---

## Redirecionamento e Configuração de URLs

- A configuração ideal de redirecionamento deve ser feita com os módulos:
  - **Pathauto**
  - **Redirect**

---

## Módulo Robots.txt

- **Robots.txt** é um módulo útil para projetos **multisite Drupal**.
- Permite gerar um arquivo `robots.txt` **dinamicamente**, individual para cada site.
- A configuração é feita diretamente pela **interface administrativa (UI)** de cada site.

---

Essas são boas práticas iniciais para garantir que o seu site Drupal esteja bem configurado para SEO e tenha boa performance nos mecanismos de busca.
