
# Introdução ao Drupal

## O que é?

- O Drupal é um dos Content Management Systems (CMS) mais usados no mundo por instituições de diversos tipos.
- Companhias nacionais e internacionais adotam-no por ser uma solução robusta, escalável e que dá liberdade ao desenvolvedor de criar soluções inovadoras na web.
- Oferece flexibilidade para:
  - Criação e organização de conteúdo.
  - Manipulação da aparência do site.
  - Automatização de tarefas administrativas.
  - Definição de permissões para usuários e colaboradores.
- Pode ser utilizado na criação de:
  - Sites de comércio eletrônico.
  - Revistas.
  - Jornais.
  - Portfólios.
  - Entre outros.

## Em que linguagem é escrito?

- Escrito em **PHP** e **JavaScript**.

## Quão escalável é?

- Alta escalabilidade.

## Recebe atualizações?

- Sim, recebe atualizações.
- No entanto, o processo de atualização é mais complicado.
- Instalações legadas não são compatíveis com novas versões do Drupal.
- Não há compatibilidade com versões anteriores, exigindo sempre atualização completa, o que consome tempo.

## Quão difícil é usar?

- Requer conhecimento técnico.
- Para instalação do Drupal, é necessário:
  - Um servidor web.
  - Um banco de dados (MySQL).
  - Um cliente FTP (File Transfer Protocol).
  - Servidor PHP instalado.

## Vantagens

- Projeto **open source**.
- Gratuito.
- Ambiente de desenvolvimento pré-configurado.
- Plataforma acessível.
- Facilidade no uso.
- Requer poucos recursos de servidor.
- Segurança.

## Desvantagens

- Inicialmente, pode ser difícil de aprender.
- Processo de configuração pode ser demorado, especialmente com muitos módulos.
- Limitação na quantidade de módulos.
- Pequenas falhas podem afetar o desempenho (lentidão).
- Uso intensivo de plugins.

## Referências

- [https://drupal.org.br/](https://drupal.org.br/)
- [https://www.treinaweb.com.br/blog/o-que-e-drupal](https://www.treinaweb.com.br/blog/o-que-e-drupal)
- [https://www.guru99.com/pt/joomla-vs-wordpress-vs-drupal.html#9](https://www.guru99.com/pt/joomla-vs-wordpress-vs-drupal.html#9)
- [https://webnus.net/pt/wordpress-vs-drupal/](https://webnus.net/pt/wordpress-vs-drupal/)
