
# Introdução ao Hugo

## O que é?

- **Hugo** é um gerador de site estático open-source.  
- É considerado um tipo de **CMS (Content Management System)**, pois auxilia na criação, gerenciamento e publicação de conteúdo.  
- Seu principal objetivo é o **baixíssimo consumo de recursos**.
- Otimizado para velocidade, é conhecido como:
  > “The world’s fastest framework for building websites”
- Oferece:
  - Estrutura flexível
  - Suporte multilíngue
  - Forte sistema de taxonomia

- É utilizado para:
  - Sites corporativos
  - Sites governamentais
  - Sites educacionais
  - Organizações sem fins lucrativos
  - Projetos de notícias e eventos
  - Blogs empresariais
  - Portfólios de imagem

## Em que linguagem é escrito?

- Hugo é desenvolvido em **Go (Golang)**.

## Quão escalável é?

- Hugo apresenta **alta escalabilidade**, sendo uma das principais vantagens da plataforma.

## Recebe atualizações?

- Sim, Hugo recebe atualizações constantes através da comunidade e seu repositório no GitHub.

## Quão difícil é usar?

- Com baixo consumo de recursos, o uso do Hugo é feito principalmente via **linha de comando**.
- Evita o uso de interfaces pesadas.
- Para usuários sem conhecimento técnico avançado, existem **interfaces gráficas amigáveis** que facilitam o gerenciamento, como:
  - Enwrite  
  - Lipi  
  - Netlify CMS  
  - Hokus CMS

## Vantagens

- Ideal para atualizações frequentes, com publicação rápida de novos conteúdos.
- **Migração do WordPress rápida e eficiente.**
- Suporte a:
  - Conteúdos ilimitados
  - Taxonomias
  - Sem necessidade de plugins (diferente do WordPress)
- Desenvolvedores têm liberdade total para criar modelos personalizados, sem limitações de campos ou estruturas pré-definidas por CMS tradicionais.

## Desvantagens

- Dificuldade em encontrar:
  - Documentações claras
  - Templates prontos
  - Recursos avançados
- Falta de interface amigável pode ser um obstáculo para usuários menos técnicos.
- Utilização de dados não formatados pode ser **intimidante**.
- Suporte técnico é frequentemente necessário para manutenção e atualizações.

## Referências

- [https://github.com/gohugoio/hugo](https://github.com/gohugoio/hugo)  
- [https://serverdo.in/hugo-sites-estaticos/](https://serverdo.in/hugo-sites-estaticos/)  
- [https://tableless.com.br/primeiros-passos-com-hugo/](https://tableless.com.br/primeiros-passos-com-hugo/)  
- [https://products.containerize.com/pt/blogging/hugo/](https://products.containerize.com/pt/blogging/hugo/)  
- [https://igluonline.com/por-que-troquei-o-wordpress-pelo-gerador-de-websites-estaticos-hugo/](https://igluonline.com/por-que-troquei-o-wordpress-pelo-gerador-de-websites-estaticos-hugo/)  
- [https://www.cloudflare.com/pt-br/learning/performance/static-site-generator/](https://www.cloudflare.com/pt-br/learning/performance/static-site-generator/)
