
# Jekyll - Concorrente do Hugo

## O que é?

- **Jekyll** é um gerador de site estático open-source.

## Em que linguagem é escrito?

- Escrito em **Ruby** (pré-requisito para instalação e execução).
- Permite que o usuário gere conteúdos em **HTML**, **CSS** e **JavaScript**.

## Escalabilidade

- Jekyll é escalável, mas **em sites maiores pode apresentar lentidão na construção** (build time).
- Para sites com **mais de 150 páginas**, além de configurações e plugins, o tempo de build pode ser bastante lento.

## Facilidade de Uso

- Facilidade na criação de arquivos em **Markdown**, sem necessidade de conhecimentos avançados em HTML/CSS.
- Ideal para **projetos simples** e com baixo volume de páginas.

## Atualizações

- Sim, o Jekyll recebe atualizações frequentes e possui uma **comunidade ativa** de desenvolvedores.

## Vantagens

- Suporte nativo a **Markdown**, facilitando a criação de conteúdo.
- **Dispensa o uso de banco de dados**, aumentando a segurança do site.
- **Arquivos HTML pré-renderizados**, melhorando a performance.
- **Integração com GitHub Pages**:
  - Hospedagem gratuita diretamente do GitHub.
  - Facilita implementação e colaboração em projetos.
- Comunidade ativa e boa base de temas/plugins.

## Desvantagens

- **Menor variedade e qualidade de componentes/temas** comparado a plataformas como WordPress.
- **Builds lentos para sites grandes**, impactando performance de desenvolvimento.
- **Necessidade de executar Ruby localmente** para personalizações com plugins.
- Customizações são todas feitas com **Ruby**, o que pode ser um obstáculo para desenvolvedores não familiarizados com a linguagem.

## Comparação: Hugo vs Jekyll

| Aspecto                  | Hugo                                      | Jekyll                                   |
|--------------------------|-------------------------------------------|------------------------------------------|
| Linguagem                | Go                                        | Ruby                                     |
| Velocidade de Build      | Extremamente rápido                       | Lento em sites grandes                   |
| Facilidade para Iniciantes | Linha de comando, mas há interfaces amigáveis | Mais fácil com GitHub Pages              |
| Integração com GitHub    | Suporta, mas não nativamente              | Totalmente integrado com GitHub Pages    |
| Comunidade               | Ativa                                     | Ativa                                     |
| Ecossistema              | Temas e plugins variados                  | Melhor integração com GitHub             |
| Escalabilidade           | Alta                                      | Limitada em projetos grandes             |

## Extensões para o Jekyll

- O Jekyll pode ser estendido com diversos plugins, mas todos devem ser desenvolvidos em **Ruby**.

