
# WordPress - Sistema de Gerenciamento de Conteúdo (CMS)

## O que é?

- **WordPress** é um sistema de gerenciamento de conteúdo (**CMS**) que auxilia na criação, edição e organização de conteúdos de páginas.
- Funciona com base em **temas** e **diversos plugins** desenvolvidos pela comunidade.
- Muito conhecido pela **praticidade** e facilidade de uso.
- Permite a criação de:
  - Textos
  - Formulários
  - Vídeos e imagens
  - Personalização de layout
- Requer **hospedagem** e **domínio**.

## Linguagem

- Baseado em **PHP**
- Utiliza **MySQL** como banco de dados

## Escalabilidade

- Ambiente **altamente escalonável**
- Capaz de lidar com tráfego praticamente ilimitado, dependendo do **plano de hospedagem**
- **Formas de escalar um site:**
  - **Vertical (scale up):** aumento da capacidade de hardware (CPU, memória)
  - **Horizontal (scale out):** distribuição da carga entre múltiplos servidores

> “Com o WordPress, você não precisa se preocupar com o software. O núcleo WordPress implementa convenções de arquitetura de software, como a separação de markup (HTML e CSS) e dados (MySQL).”  
> [Fonte](https://maquinaderesultados.com.br/o-seu-site-wordpress-e-escalavel/)

## Facilidade de Uso

- Ferramenta **intuitiva e fácil de usar**, mesmo para iniciantes.

## Atualizações

- **Atualizações constantes**
- Última versão: **6.5.2 (abril/2024)**
- Próxima versão: **6.6 (lançamento previsto: 16/07/2024)**
- **Comunidade ativa** responsável pelas manutenções e melhorias contínuas

## Vantagens

- Interface intuitiva
- Alta segurança (atualizações frequentes)
- Grande variedade de plugins disponíveis
- Código aberto (**Open Source**)
- Controle do frontend e backend

## Desvantagens

- **Tempo de carregamento pode ser elevado** devido a:
  - Muitos plugins
  - Imagens grandes
  - Código não otimizado
- **Erros comuns:**
  - Arquivos corrompidos
  - Erros de conexão com banco de dados
  - Erros de gateway (quando a página demora para carregar)
- **Ameaças de segurança constantes**
- Necessário manter plugins **sempre atualizados**
- **Recomenda-se o uso de plugins de segurança**

## Observações

- O **site do C3 utiliza WordPress.org**

## Informações de Domínio (UFPR)

```
domain:      ufpr.br
owner:       UFPR (Universidade Federal do Paraná)
owner-c:     DRDUF
tech-c:      DRDUF
nserver:     ns.ufpr.br 200.17.209.1 2801:82:8020:0:8377:0:209:1
nserver:     ns2.ufpr.br 200.17.209.123 2801:82:8020:0:8377:0:209:2
created:     before 19950101
changed:     20151110
status:      published
```

## Referências

- [https://www.hostinger.com.br/tutoriais/o-que-e-wordpress](https://www.hostinger.com.br/tutoriais/o-que-e-wordpress)  
- [https://www.oracle.com/br/content-management/what-is-cms/](https://www.oracle.com/br/content-management/what-is-cms/)  
- [https://rockcontent.com/br/talent-blog/wordpress-entenda-as-vantagens-e-desvantagens-da-ferramenta/](https://rockcontent.com/br/talent-blog/wordpress-entenda-as-vantagens-e-desvantagens-da-ferramenta/)  
- [https://www.intermidias.com.br/marketing-digital-online/wordpress-e-bom/](https://www.intermidias.com.br/marketing-digital-online/wordpress-e-bom/)  
- [https://www.linkoficial.com.br/quanto-trafego-o-wordpress-pode-lidar/](https://www.linkoficial.com.br/quanto-trafego-o-wordpress-pode-lidar/)  
- [https://maquinaderesultados.com.br/o-seu-site-wordpress-e-escalavel/](https://maquinaderesultados.com.br/o-seu-site-wordpress-e-escalavel/)
